## ubuntu-wsl-oobe 0.1.17

=== Makefile ===
#
# Makefile for
#
NAME=ubuntu_wsl_oobe
PYTHONSRC=$(NAME)
PYTHONPATH=$(shell pwd)
export PYTHONPATH
CWD := $(shell pwd)

CHECK_DIRS := ubuntu_wsl_oobe/ subiquitycore/
PYTHON := python3

.PHONY: submcheck run clean check

all: dryrun

install_deps:
	sudo apt install -y python3-urwid python3-pyudev python3-nose python3-flake8 \
		python3-yaml python3-coverage python3-dev pkg-config libnl-genl-3-dev \
		libnl-route-3-dev python3-attr python3-distutils-extra python3-requests \
		python3-requests-unixsocket python3-jsonschema python3-curtin python3-apport \
		python3-bson

i18n:
	$(PYTHON) setup.py build_i18n
	cd po; intltool-update -r -g ubuntu_wsl_oobe

dryrun: i18n
	$(MAKE) ui-view DRYRUN="--dry-run"

ui-view:
	$(PYTHON) -m ubuntu_wsl_oobe.cmd.tui $(DRYRUN)

lint: flake8

flake8:
	@echo 'tox -e flake8' is preferred to 'make flake8'
	$(PYTHON) -m flake8 $(CHECK_DIRS) --exclude gettext38.py

unit:
	echo "Running unit tests..."
	$(PYTHON) -m nose $(CHECK_DIRS)

check: unit

submcheck:
	if [ ! -d "$(CMD)/external/subiquity" ]; then \
	echo "The git submodules are not available. Please run \`git submodule update --init --recursive\`"; \
	fi

clean:
	./debian/rules clean

.PHONY: flake8 lint

=== external/subiquity/Makefile ===
#
# Makefile for subiquity
#
NAME=subiquity
PYTHONSRC=$(NAME)
PYTHONPATH=$(shell pwd):$(shell pwd)/probert
PROBERTDIR=./probert
PROBERT_REPO=https://github.com/CanonicalLtd/probert
export PYTHONPATH
CWD := $(shell pwd)

CHECK_DIRS := console_conf/ subiquity/ subiquitycore/
PYTHON := python3

ifneq (,$(MACHINE))
	MACHARGS=--machine=$(MACHINE)
endif

.PHONY: run clean check

all: dryrun

install_deps:
	sudo apt-get install -y python3-urwid python3-pyudev python3-nose python3-flake8 \
		python3-yaml python3-coverage python3-dev pkg-config libnl-genl-3-dev \
		libnl-route-3-dev python3-attr python3-distutils-extra python3-requests \
		python3-requests-unixsocket python3-jsonschema python3-curtin python3-apport \
		python3-bson

i18n:
	$(PYTHON) setup.py build_i18n
	cd po; intltool-update -r -g subiquity

dryrun: probert i18n
	$(MAKE) ui-view DRYRUN="--dry-run --bootloader uefi"

dryrun-console-conf:
	$(MAKE) ui-view-console-conf DRYRUN="--dry-run"

ui-view-console-conf:
	$(PYTHON) -m console_conf.cmd.tui $(DRYRUN) $(MACHARGS)

ui-view:
	$(PYTHON) -m subiquity $(DRYRUN) $(MACHARGS)

ui-view-serial:
	(TERM=att4424 $(PYTHON) -m subiquity $(DRYRUN) --serial)

lint: flake8

flake8:
	@echo 'tox -e flake8' is preferred to 'make flake8'
	$(PYTHON) -m flake8 $(CHECK_DIRS) --exclude gettext38.py

unit:
	echo "Running unit tests..."
	$(PYTHON) -m nose $(CHECK_DIRS)

check: unit

probert:
	@if [ ! -d "$(PROBERTDIR)" ]; then \
		git clone -q $(PROBERT_REPO) $(PROBERTDIR); \
		(cd probert && $(PYTHON) setup.py build_ext -i); \
    fi

schema: probert
	@$(PYTHON) -m subiquity.cmd.schema

clean:
	./debian/rules clean

.PHONY: flake8 lint

=== debian/changelog ===
ubuntu-wsl-oobe (0.1.17) impish; urgency=medium

  * debian/rules:
    - fails the build if subiquity code submodule has not been checked out

 -- Patrick Wu <patrick.wu@canonical.com>  Thu, 27 May 2021 15:57:01 +0200

ubuntu-wsl-oobe (0.1.16) impish; urgency=medium

  * debian/source/format:
    - set it as a native package
  * Update Copyright and debian/copyright
  * debian/control:
    - use recent debhelper
    - fixed build-Depends/Depends/Recommends
    - fixed package description

 -- Patrick Wu <patrick.wu@canonical.com>  Thu, 27 May 2021 11:16:27 +0200

ubuntu-wsl-oobe (0.1.15) impish; urgency=medium

  * Add Swedish, Polish, and Occitan

 -- Patrick Wu <patrick.wu@canonical.com>  Fri, 14 May 2021 16:09:44 +0800

ubuntu-wsl-oobe (0.1.14) hirsute; urgency=medium

  * Remove Legacy GUI Integration.

 -- Patrick Wu <patrick.wu@canonical.com>  Mon, 03 May 2021 11:04:23 +0800

ubuntu-wsl-oobe (0.1.13) hirsute; urgency=medium

  * Add Chinese (Hong Kong), Arabic, Dutch, German,
    Italian, and Ukrainian
  * Improve mount option detection

 -- Patrick Wu <patrick.wu@canonical.com>  Tue, 16 Mar 2021 15:24:36 +0800

ubuntu-wsl-oobe (0.1.12ppa2) hirsute; urgency=medium

  * fix an issue that the account file cannot be found.

 -- Patrick Wu <patrick.wu@canonical.com>  Mon, 22 Feb 2021 23:00:44 +0800

ubuntu-wsl-oobe (0.1.11) hirsute; urgency=medium

  * Code cleanup and translation update.

 -- Patrick Wu <patrick.wu@canonical.com>  Mon, 25 Jan 2021 14:46:54 +0800

ubuntu-wsl-oobe (0.1.9) groovy; urgency=medium

  * Actually fix the bug related to old Windows console;
  * Experimental Color Palette Fix;
  * Fix a AlreadyCreatedView Bug;
  * Remove a unnecessary dependency and update subiquitycore-wsl package name.

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 20 Jan 2021 13:21:44 +0800

ubuntu-wsl-oobe (0.1.8) groovy; urgency=medium

  * Fix a build issue due to bad translation

 -- Patrick Wu <patrick.wu@canonical.com>  Fri, 08 Jan 2021 11:19:21 +0800

ubuntu-wsl-oobe (0.1.7) groovy; urgency=medium

  * Updated translations

 -- Patrick Wu <patrick.wu@canonical.com>  Thu, 07 Jan 2021 20:39:25 +0800

ubuntu-wsl-oobe (0.1.6) groovy; urgency=medium

  * allow optional integration settings

 -- Patrick Wu <patrick.wu@canonical.com>  Mon, 14 Dec 2020 15:27:43 +0800

ubuntu-wsl-oobe (0.1.5) groovy; urgency=medium

  * limiting architecture.

 -- Patrick Wu <patrick.wu@canonical.com>  Tue, 24 Nov 2020 14:07:12 +0800

ubuntu-wsl-oobe (0.1.4) groovy; urgency=medium

  * fix a bug related to WSL1 in a workaround way;
  * fix a bug related to old Windows console.

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 14 Oct 2020 11:39:38 +0800

ubuntu-wsl-oobe (0.1.3) groovy; urgency=medium

  * add missing files;
  * proper translation build system.

 -- Patrick Wu <patrick.wu@canonical.com>  Tue, 13 Oct 2020 09:22:25 +0800

ubuntu-wsl-oobe (0.1.2) groovy; urgency=medium

  * translation rebuilt.

 -- Patrick Wu <patrick.wu@canonical.com>  Wed, 23 Sep 2020 18:08:15 +0800

ubuntu-wsl-oobe (0.1.1) groovy; urgency=medium

  * First set of translation.

 -- Patrick Wu <patrick.wu@canonical.com>  Tue, 22 Sep 2020 11:10:28 +0800

ubuntu-wsl-oobe (0.1.0) groovy; urgency=medium

  * Update the entire integration page;
  * Update pre-checking logic;
  * Update the Overview content.

 -- Patrick Wu <patrick.wu@canonical.com>  Mon, 31 Aug 2020 20:38:07 +0800

ubuntu-wsl-oobe (0.0.5) groovy; urgency=medium

  * Update translation structure.

 -- Patrick Wu <patrick.wu@canonical.com>  Mon, 10 Aug 2020 21:39:09 +0800

ubuntu-wsl-oobe (0.0.4) groovy; urgency=medium

  * Update a little mistake in POTFILES.in

 -- Patrick Wu <patrick.wu@canonical.com>  Mon, 10 Aug 2020 15:59:17 +0800

ubuntu-wsl-oobe (0.0.3) groovy; urgency=medium

  * Adding language selection feature;
  * general code refactoring.

 -- Patrick Wu <patrick.wu@canonical.com>  Mon, 10 Aug 2020 15:28:16 +0800

ubuntu-wsl-oobe (0.0.2) groovy; urgency=medium

  * Minor update on the content;
  * useable user creation.

 -- Patrick Wu <patrick.wu@canonical.com>  Fri, 31 Jul 2020 18:10:38 +0800

ubuntu-wsl-oobe (0.0.1) groovy; urgency=medium

  * Initial build.

 -- Patrick Wu <patrick.wu@canonical.com>  Thu, 30 Jul 2020 09:23:17 +0800

=== debian/control ===
Source: ubuntu-wsl-oobe
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               iso-codes,
               pkg-config,
               libnl-genl-3-dev,
               libnl-route-3-dev,
               python3,
               python3-apport,
               python3-attr,
               python3-bson,
               python3-coverage,
               python3-curtin,
               python3-dev,
               python3-distutils-extra,
               python3-flake8,
               python3-jsonschema,
               python3-nose,
               python3-pyudev,
               python3-requests,
               python3-requests-unixsocket,
               python3-setuptools,
               python3-yaml,
               python3-urwid,
Standards-Version: 4.5.1.0
Homepage: https://github.com/canonical/ubuntu-wsl-oobe
Vcs-Browser: https://github.com/canonical/ubuntu-wsl-oobe
Vcs-Git: https://github.com/canonical/ubuntu-wsl-oobe.git

Package: ubuntu-wsl-oobe
Architecture: amd64 arm64
Depends: ubuntu-wsl-integration,
         ubuntu-wsl-oobe-subiquitycore,
         python3-urwid (>= 1.2.1),
         ${misc:Depends},
         ${python3:Depends},
Description: Ubuntu WSL Onboarding Experience
 `ubuntu-wsl-oobe` is a WSL Ubuntu Out-of-box configurer to
 provide a more friendly first-start experience. This is a
 partial fork of subiquity to better match with Ubuntu
 Server Installer to provide a more universial installing
 experience across devices.

Package: ubuntu-wsl-oobe-subiquitycore
Architecture: amd64 arm64
Depends: python3-attr,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: Ubuntu Server Installer Core module for WSL Onboarding Experience
 SUbiquity is an installer system for servers, embedded devices and desktops
 or laptops meant to build systems as quickly as possible for users to reach
 a point where their system is usable.
 .
 By default, subiquity provides a "first boot" experience that allows users
 to do initial system configuration such as adding users and login settings,
 along with doing basic network configuration. It can also be used to build
 a new system from the ground up, partitioning and copying a disk image to
 the storage device selected by the user.
 .
 This package provides the installer routines for bootstrapping a system.

=== external/subiquity/debian/control ===
Source: subiquity
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.20160709),
               dh-python,
               git,
               iso-codes,
               python3,
               python3-attr,
               python3-distutils-extra,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.3.0
Homepage: https://github.com/CanonicalLtd/subiquity
Vcs-Browser: https://github.com/CanonicalLtd/subiquity
Vcs-Git: https://github.com/CanonicalLtd/subiquity.git
XS-Ubuntu-Use-Langpack: yes

Package: subiquitycore
Architecture: all
Depends: probert-network,
         python3-urwid (>= 1.2.1),
         python3-attr,
         python3-yaml,
         python3-requests,
         python3-requests-unixsocket,
         ${misc:Depends},
         ${python3:Depends}
Description: Ubuntu Server Installer - core libraries
 SUbiquity is an installer system for servers, embedded devices and desktops
 or laptops meant to build systems as quickly as possible for users to reach
 a point where their system is usable.
 .
 By default, subiquity provides a "first boot" experience that allows users
 to do initial system configuration such as adding users and login settings,
 along with doing basic network configuration. It can also be used to build
 a new system from the ground up, partitioning and copying a disk image to
 the storage device selected by the user.
 .
 This package provides the installer routines for bootstrapping a system
 with the Subiquity the server installer UI.

Package: console-conf
Architecture: all
Depends: python3, subiquitycore, ${misc:Depends}, ${python3:Depends}
Description: Ubuntu Core Pre-Ownership Configurator
 SUbiquity is an installer system for servers, embedded devices and desktops
 or laptops meant to build systems as quickly as possible for users to reach
 a point where their system is usable.
 .
 By default, subiquity provides a "first boot" experience that allows users
 to do initial system configuration such as adding users and login settings,
 along with doing basic network configuration. It can also be used to build
 a new system from the ground up, partitioning and copying a disk image to
 the storage device selected by the user.
 .
 This package provides the setup routines for pre-ownership configuration of
 a system.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_DISABLE_python2=1
export PYBUILD_INSTALL_DIR=usr/share/ubuntu-wsl-oobe/
export PYBUILD_INSTALL_ARGS_python3=--install-lib=usr/share/ubuntu-wsl-oobe/ \
       --install-data=usr/ \
       --no-compile -O0
export PYBUILD_DESTDIR=debian/tmp/
export PYBUILD_OPTION="-v"

%:
	dh $@ --with python3 --buildsystem=pybuild

subiquity-submodule:
	@if [ ! -e subiquitycore ]; then \
	  echo "############# ERROR #############"; \
	  echo subiquity needs to be checked out; \
	  echo Please run:; \
	  echo $$ git submodule init ; \
	  echo $$ git submodule update ; \
	  echo "#################################"; \
	  exit 1; \
	fi

override_dh_auto_clean: subiquity-submodule
	rm -f .subiquity/subiquity-debug.log installer/geninstaller.log
	rm -rf probert/
	dh_auto_clean

override_dh_python3:
	dh_python3 --ignore-shebangs usr/share/ubuntu-wsl-oobe/

override_dh_auto_test:
	@echo "Skipping subiquity tests"
